<?php

class ControladorRol {

    static public function ctrCrearRol(){

        if (isset($_POST["nuevoNombre"])) {
            if (preg_match('/[a-zA-Z0-9 ]/', $_POST["nuevoNombre"])) {
                $tabla = "rol";
                $datos = array( "nombre" =>  strtoupper(trim($_POST["nuevoNombre"])),
                                 "descripcion" =>  strtoupper(trim($_POST["nuevoDescripcion"]))
            );

                $respuesta = ModeloRol::mdlIngresarRol($tabla,$datos);

                if ($respuesta == "ok") {
                    echo '<script>
					swal({
						type: "success",
						title: "¡Rol ha sido guardado correctamente!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"
					}).then(function(result){
						if(result.value){
							window.location = "rol";
						}
					});
					</script>';
                }

            }else{
				echo '<script>
					swal({
						type: "error",
						title: "¡Rol no puede ir vacío o llevar caracteres especiales!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"
					}).then(function(result){
						if(result.value){
							window.location = "rol";
						}
					});
				</script>';
			}
        }
    }

    static public function ctrMostrarRol($item, $valor){
        $tabla = "rol";
        $respuesta = ModeloRol :: mdlMostrarRol($tabla, $item, $valor);
        return $respuesta;
    }
	static public function ctrMostrarRol1($item, $valor){
        $tabla = "usuario_rol";
        $respuesta = ModeloRol :: mdlMostrarRol1($tabla, $item, $valor);
        return $respuesta;
    }

	static public function ctrEditarRol(){
		if (isset($_POST["editarNombre"])) {
			if (preg_match('/[a-zA-Z0-9 ]/', $_POST["editarNombre"]) && preg_match('/[a-zA-Z0-9 ]/', $_POST["editarDescripcion"])) {
				$tabla = "rol";
				$datos = array ("nombre" =>  strtoupper(trim($_POST["editarNombre"])),
								"descripcion" =>  strtoupper(trim($_POST["editarDescripcion"])),
								"id" => $_POST["idRol"]);
				$respuesta = ModeloRol::mdlEditarRol($tabla, $datos);
				if ($respuesta == "ok") {
					  echo '<script>
					swal({
						type: "success",
						title: "¡Rol ha sido editado correctamente!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"
					}).then(function(result){
						if(result.value){
							window.location = "rol";
						}
					});
					</script>';
				}
			} else {

				echo '<script>
					swal({
						type: "error",
						title: "¡Rol no puede ir vacío o llevar caracteres especiales!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"
					}).then(function(result){
						if(result.value){
							window.location = "rol";
						}
					});
				</script>';
			}
		}
	}

	static public function ctrBorrarRol(){
		if(isset($_GET["idRol"])){
			$tabla ="rol";
			$datos = $_GET["idRol"];
			$respuesta = ModeloRol::mdlBorrarRol($tabla, $datos);
			if($respuesta == "ok"){
				echo'<script>
				swal({
					  type: "success",
					  title: "Rol ha sido borrado correctamente",
					  showConfirmButton: true,
					  confirmButtonText: "Cerrar"
					  }).then(function(result){
								if (result.value) {
								window.location = "rol";
								}
							})
				</script>';
			}		
		}
	}
}